<div class="jumbotron">
    <div class="container">
        <h1>ReddoPanda</h1>
        <p>This is a simple angular webpack es6 use, compatible with lazy-loading modules.</p>
        <p>It was generated using Yeoman "<a href="https://github.com/STUkh/generator-angular-webpack-es6" target="_blank">generator-angular-webpack-es6</a>" </p>
        <p></p>
    </div>
</div>
<div class="container">
    <div class="col-sm-8">
        This angular application take advantage of angular module, that it allow develop modules to big web applications
        <br />

        <br /> The principal file is index.bootstrap tahat load all modules in the application. This little application use:
        <ul>
            <li>Angular 1.6.4 </li>
            <li>Bootstrap 3.3.7 </li>
            <li><a href="https://github.com/angular-ui/ui-router" target="_blank">Ui-Route</a>: it make easy the navegation among internals views</li>
            <li><a href="https://github.com/mgonto/restangular" target="_blank">Restangular</a>: Service to make the calls to Git Rest API</li>
            <li>Lodash: to give supprtu to restangular. Lodash version: {{about.lodash_version}}</li>
            <li>Webpack 2: to load the angular app and open a web browser automatically with the link http://localhost:8080/</li>
        </ul>
    </div>

    <br />
    <div class="col-sm-8">
        Feature:
        <ul>
            <li>Load and display git users in cards</li>
            <li>Link to user git page</li>
            <li>Link to internal page to display the user projects</li>
            <li>Display projects of a user in cards</li>
            <li>Link to user project</li>
            <li>Display a loading view</li>
        </ul>
    </div>
    <div class="col-sm-8">
        Missing task:
        <ul>
            <li>Pagination un both pages (user and project)</li>
            <li>A Button to load more users</li>
        </ul>
        <br /> Improvements to do:
        <ul>
            <li>Use ui-pagination to display the pagination un both pages (user and project)</li>
            <li>Add load more items user using vertical scrollbar instead of a button to load more users</li>
            <li>Move the loading view to a directive to use in any internal page </li>
            <li>Create a card-directive to display some informations in a cards </li>
            <li>Change the favicon to custom favicon </li>
            <li>Use the Restangular into a service </li>
            <li>Add restangular objects to encapsulate behavior, for example for user retrieve more information like number of followers or number of projects</li>
            <li>Add unit test to components </li>
            <li>Add a server to allow more posible features like login or save the state </li>
            <li>Improve css acconding to scss style </li>
        </ul>
    </div>
</div>